
#!/bin/sh
# From configure.in Revision: 1.40 
#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 1.11 
# Copyright (C) 1991, 1992, 1993, 1994 Free Software Foundation, Inc.

# This configure script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This script is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Save the original args to write them into config.status later.
configure_args="$*"

# Only options that might do something get documented.
ac_usage="Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
--build=BUILD		configure for building on BUILD [BUILD=HOST]
--disable-FEATURE	do not include FEATURE (same as --enable-FEATURE=no)
--enable-FEATURE[=ARG]	include FEATURE [ARG=yes]
--exec-prefix=PREFIX	install host dependent files in PREFIX [/usr/local]
--help			print this message
--host=HOST		configure for HOST [guessed]
--prefix=PREFIX		install host independent files in PREFIX [/usr/local]
--quiet, --silent	do not print \`checking for...' messages
--srcdir=DIR		find the sources in DIR [configure dir or ..]
--target=TARGET		configure for TARGET [TARGET=HOST]
--verbose		print results of checks
--version		print the version of autoconf that created configure
--with-PACKAGE[=ARG]	use PACKAGE [ARG=yes]
--without-PACKAGE	do not use PACKAGE (same as --with-PACKAGE=no)
--x-includes=DIR	X include files are in DIR
--x-libraries=DIR	X library files are in DIR"

# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
exec_prefix=
host=NONE
no_create=
nonopt=NONE
norecursion=
prefix=
program_prefix=
program_suffix=
program_transform_name=
silent=
srcdir=
target=NONE
verbose=
x_includes=
x_libraries=

ac_prev=
for ac_option
do

  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

  # Accept (but ignore some of) the important Cygnus configure
  # options, so we can diagnose typos.

  case "$ac_option" in
  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) ac_optarg= ;;
  esac

  case "$ac_option" in

  -build | --build | --buil | --bui | --bu | --b)
    ac_prev=build ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
    build="$ac_optarg" ;;

  -disable-* | --disable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
      echo "configure: $ac_feature: invalid feature name" >&2; exit 1
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    eval "enable_${ac_feature}=no" ;;

  -enable-* | --enable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
      echo "configure: $ac_feature: invalid feature name" >&2; exit 1
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "enable_${ac_feature}='$ac_optarg'" ;;

  # For backward compatibility, recognize -exec-prefix and --exec_prefix.
  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix="$ac_optarg" ;;

  -gas | --gas | --ga | --g)
    with_gas=yes ;; # Obsolete; use --with-gas.

  -help | --help | --hel | --he)
    cat << EOF
$ac_usage
EOF
    exit 0 ;;

  -host | --host | --hos | --ho)
    ac_prev=host ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host="$ac_optarg" ;;

  -nfp | --nfp | --nf)
    with_fp=no ;; # Obsolete; use --without-fp.

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -norecursion | --norecursion | --norecursio | --norecursi \
  | --norecurs | --norecur | --norecu | --norec | --nore | --nor)
    norecursion=yes ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix="$ac_optarg" ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix="$ac_optarg" ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix="$ac_optarg" ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name="$ac_optarg" ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir="$ac_optarg" ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target="$ac_optarg" ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers)
    echo "configure generated by autoconf version 1.11"
    exit 0 ;;

  -with-* | --with-*)
    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
      echo "configure: $ac_package: invalid package name" >&2; exit 1
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "with_${ac_package}='$ac_optarg'" ;;

  -without-* | --without-*)
    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
    # Reject names that aren't valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
      echo "configure: $ac_package: invalid package name" >&2; exit 1
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    eval "with_${ac_package}=no" ;;

  --x) with_x=yes ;; # Obsolete; use --with-x.

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes="$ac_optarg" ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries="$ac_optarg" ;;

  -*) echo "configure: $ac_option: invalid option; use --help to show usage" >&2; exit 1
    ;;

  *) 
    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
      echo "configure: warning: $ac_option: invalid host type" >&2
    fi
    if test "x$nonopt" != xNONE; then
      echo "configure: can only configure for one host and one target at a time" >&2; exit 1
    fi
    nonopt="$ac_option"
    ;;

  esac
done

if test -n "$ac_prev"; then
  echo "configure: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" >&2; exit 1
fi

trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15
trap 'rm -fr confdefs* $ac_clean_files' 0

# Save the original args if we used an alternate arg parser.
ac_configure_temp="${configure_args-$*}"
# Strip out --no-create and --norecursion so they don't pile up.
configure_args=
for ac_arg in $ac_configure_temp; do
  case "$ac_arg" in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -norecursion | --norecursion | --norecursio | --norecursi \
  | --norecurs | --norecur | --norecu | --norec | --nore | --nor) ;;
  *) configure_args="$configure_args $ac_arg" ;;
  esac
done

# NLS nuisances.
# These must not be set unconditionally because not all systems understand
# e.g. LANG=C (notably SCO).
if test "${LC_ALL+set}" = 'set'; then LC_ALL=C; export LC_ALL; fi
if test "${LANG+set}"   = 'set'; then LANG=C;   export LANG;   fi

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=source/irc.c

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then `..'.
  ac_prog=$0
  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test x$ac_srcdir_defaulted = xyes; then
    echo "configure: can not find sources in ${ac_confdir} or .." >&2; exit 1
  else
    echo "configure: can not find sources in ${srcdir}" >&2; exit 1
  fi
fi
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='${CPP}'
ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'





VERSION=`sed -n -e 's/"$//' -e '/#define IRCII_VERSION	*"/s///p' -e '/#define IRCII_VERSION/q' < source/irc.c` 
echo this is ircii version $VERSION
echo



if test -z "$CC"; then
  # Extract the first word of `gcc', so it can be a program name with args.
  set ac_dummy gcc; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      CC="gcc"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$CC" && CC="cc"
test -n "$CC" && test -n "$verbose" && echo "	setting CC to $CC"

# Find out if we are using GNU C, under whatever name.
cat > conftest.c <<EOF
#ifdef __GNUC__
  yes
#endif
EOF
${CC-cc} -E conftest.c > conftest.out 2>&1
if egrep yes conftest.out >/dev/null 2>&1; then
  GCC=1 # For later tests.
fi
rm -f conftest*

test -n "$silent" || echo "checking how to run the C preprocessor"
if test -z "$CPP"; then
  # This must be in double quotes, not single quotes, because CPP may get
  # substituted into the Makefile and ``${CC-cc}'' will simply confuse
  # make.  It must be expanded now.
  CPP="${CC-cc} -E"
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdio.h>
Syntax Error
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  CPP="${CC-cc} -E -traditional-cpp"
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdio.h>
Syntax Error
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  :
else
  rm -rf conftest*
  CPP=/lib/cpp
fi
rm -f conftest*
fi
rm -f conftest*
fi
test -n "$verbose" && echo "	setting CPP to $CPP"

test -n "$silent" || echo "checking for POSIXized ISC"
if test -d /etc/conf/kconfig.d &&
  grep _POSIX_VERSION /usr/include/sys/unistd.h >/dev/null 2>&1
then
  ISC=1 # If later tests want to check for ISC.
  
{
test -n "$verbose" && \
echo "	defining _POSIX_SOURCE"
echo "#define" _POSIX_SOURCE "1" >> confdefs.h
DEFS="$DEFS -D_POSIX_SOURCE=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}_POSIX_SOURCE\${ac_dB}_POSIX_SOURCE\${ac_dC}1\${ac_dD}
\${ac_uA}_POSIX_SOURCE\${ac_uB}_POSIX_SOURCE\${ac_uC}1\${ac_uD}
\${ac_eA}_POSIX_SOURCE\${ac_eB}_POSIX_SOURCE\${ac_eC}1\${ac_eD}
"
}

  if test -n "$GCC"; then
    CC="$CC -posix"
  else
    CC="$CC -Xp"
  fi
fi

test -n "$silent" || echo "checking for AIX"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#ifdef _AIX
  yes
#endif

EOF
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "yes" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining _ALL_SOURCE"
echo "#define" _ALL_SOURCE "1" >> confdefs.h
DEFS="$DEFS -D_ALL_SOURCE=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}_ALL_SOURCE\${ac_dB}_ALL_SOURCE\${ac_dC}1\${ac_dD}
\${ac_uA}_ALL_SOURCE\${ac_uB}_ALL_SOURCE\${ac_uC}1\${ac_uD}
\${ac_eA}_ALL_SOURCE\${ac_eB}_ALL_SOURCE\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*


if test -z "$LEX"; then
  # Extract the first word of `flex', so it can be a program name with args.
  set ac_dummy flex; ac_word=$2
  test -n "$silent" || echo "checking for $ac_word"
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      LEX="flex"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
test -z "$LEX" && LEX="lex"
test -n "$LEX" && test -n "$verbose" && echo "	setting LEX to $LEX"

if test -z "$LEXLIB"
then
  case "$LEX" in
  flex*) ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lfl"
ac_have_lib=""
test -n "$silent" || echo "checking for -lfl"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; LEXLIB="-lfl"
else
   :; 
fi
 ;;
  *) LEXLIB="-ll" ;;
  esac
fi
test -n "$verbose" && echo "	setting LEXLIB to $LEXLIB"

if test -n "$GCC"; then
  test -n "$silent" || echo "checking whether -traditional is needed"
  ac_pattern="Autoconf.*'x'"
  ac_prog='#include <sgtty.h>
Autoconf TIOCGETP'
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
$ac_prog
EOF
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "$ac_pattern" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  ac_need_trad=1

fi
rm -f conftest*


  if test -z "$ac_need_trad"; then
    ac_prog='#include <termio.h>
Autoconf TCGETA'
    cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
$ac_prog
EOF
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "$ac_pattern" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  ac_need_trad=1

fi
rm -f conftest*

  fi
  test -n "$ac_need_trad" && CC="$CC -traditional"
fi

ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lsun"
ac_have_lib=""
test -n "$silent" || echo "checking for -lsun"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; LIBS="$LIBS -lsun"
else
   :; 
fi



case "$DEFS" in
  *-D_ALL_SOURCE*)
    aix=1
    ;;
esac

echo checking for qnx
case "$(uname -s)" in
    QNX*) LDFLAGS=-N64k                            CFLAGS="-w4 -O -g -fi=unix.h"        ;;
esac

echo checking for solaris
if /bin/sun 2> /dev/null
then
  uname=`uname -r`
  case "$uname" in
    4.*)
      ;;
    5.*) 
{
test -n "$verbose" && \
echo "	defining __solaris__"
echo "#define" __solaris__ "1" >> confdefs.h
DEFS="$DEFS -D__solaris__=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}__solaris__\${ac_dB}__solaris__\${ac_dC}1\${ac_dD}
\${ac_uA}__solaris__\${ac_uB}__solaris__\${ac_uC}1\${ac_uD}
\${ac_eA}__solaris__\${ac_eB}__solaris__\${ac_eC}1\${ac_eD}
"
}

	 
{
test -n "$verbose" && \
echo "	defining SVR4"
echo "#define" SVR4 "1" >> confdefs.h
DEFS="$DEFS -DSVR4=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}SVR4\${ac_dB}SVR4\${ac_dC}1\${ac_dD}
\${ac_uA}SVR4\${ac_uB}SVR4\${ac_uC}1\${ac_uD}
\${ac_eA}SVR4\${ac_eB}SVR4\${ac_eC}1\${ac_eD}
"
}

      ;;
  esac
fi

case "$DEFS" in
  *-DSVR4*)			   ;;
  *)

echo checking for SVR4
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#if defined(SVR4) || defined(__svr4__)
  yes
#endif

EOF
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "yes" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  svr4=1

fi
rm -f conftest*

    ;;
esac

if test -n "$svr4"
then
  LIBS="-L/usr/ccs/lib $LIBS"
  
{
test -n "$verbose" && \
echo "	defining SVR4"
echo "#define" SVR4 "1" >> confdefs.h
DEFS="$DEFS -DSVR4=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}SVR4\${ac_dB}SVR4\${ac_dC}1\${ac_dD}
\${ac_uA}SVR4\${ac_uB}SVR4\${ac_uC}1\${ac_uD}
\${ac_eA}SVR4\${ac_eB}SVR4\${ac_eC}1\${ac_eD}
"
}

fi


echo checking for -I/usr/netinclude
if test -d /usr/netinclude; then
  CFLAGS="$CFLAGS -I/usr/netinclude"
fi
  
for ac_hdr in sys/un.h sys/select.h sys/fcntl.h sys/file.h sys/time.h sys/wait.h sys/twg_config.h sys/ptem.h
do
ac_tr_hdr=HAVE_`echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
test -n "$silent" || echo "checking for ${ac_hdr}"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <${ac_hdr}>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining ${ac_tr_hdr}"
echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
DEFS="$DEFS -D${ac_tr_hdr}=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}${ac_tr_hdr}\${ac_dB}${ac_tr_hdr}\${ac_dC}1\${ac_dD}
\${ac_uA}${ac_tr_hdr}\${ac_uB}${ac_tr_hdr}\${ac_uC}1\${ac_uD}
\${ac_eA}${ac_tr_hdr}\${ac_eB}${ac_tr_hdr}\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*
done
for ac_hdr in stdarg.h unistd.h fcntl.h string.h memory.h netdb.h limits.h
do
ac_tr_hdr=HAVE_`echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
test -n "$silent" || echo "checking for ${ac_hdr}"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <${ac_hdr}>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining ${ac_tr_hdr}"
echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
DEFS="$DEFS -D${ac_tr_hdr}=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}${ac_tr_hdr}\${ac_dB}${ac_tr_hdr}\${ac_dC}1\${ac_dD}
\${ac_uA}${ac_tr_hdr}\${ac_uB}${ac_tr_hdr}\${ac_uC}1\${ac_uD}
\${ac_eA}${ac_tr_hdr}\${ac_eB}${ac_tr_hdr}\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*
done
test -n "$silent" || echo "checking for setsid"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_setsid) || defined (__stub___setsid)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char setsid(); setsid();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_SETSID"
echo "#define" HAVE_SETSID "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SETSID=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_SETSID\${ac_dB}HAVE_SETSID\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_SETSID\${ac_uB}HAVE_SETSID\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_SETSID\${ac_eB}HAVE_SETSID\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for getpgid"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_getpgid) || defined (__stub___getpgid)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char getpgid(); getpgid();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_GETPGID"
echo "#define" HAVE_GETPGID "1" >> confdefs.h
DEFS="$DEFS -DHAVE_GETPGID=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_GETPGID\${ac_dB}HAVE_GETPGID\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_GETPGID\${ac_uB}HAVE_GETPGID\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_GETPGID\${ac_eB}HAVE_GETPGID\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for getsid"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_getsid) || defined (__stub___getsid)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char getsid(); getsid();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_GETSID"
echo "#define" HAVE_GETSID "1" >> confdefs.h
DEFS="$DEFS -DHAVE_GETSID=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_GETSID\${ac_dB}HAVE_GETSID\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_GETSID\${ac_uB}HAVE_GETSID\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_GETSID\${ac_eB}HAVE_GETSID\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for scandir"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_scandir) || defined (__stub___scandir)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char scandir(); scandir();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_SCANDIR"
echo "#define" HAVE_SCANDIR "1" >> confdefs.h
DEFS="$DEFS -DHAVE_SCANDIR=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_SCANDIR\${ac_dB}HAVE_SCANDIR\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_SCANDIR\${ac_uB}HAVE_SCANDIR\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_SCANDIR\${ac_eB}HAVE_SCANDIR\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for memmove"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_memmove) || defined (__stub___memmove)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char memmove(); memmove();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_MEMMOVE"
echo "#define" HAVE_MEMMOVE "1" >> confdefs.h
DEFS="$DEFS -DHAVE_MEMMOVE=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_MEMMOVE\${ac_dB}HAVE_MEMMOVE\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_MEMMOVE\${ac_uB}HAVE_MEMMOVE\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_MEMMOVE\${ac_eB}HAVE_MEMMOVE\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for uname"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_uname) || defined (__stub___uname)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char uname(); uname();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_UNAME"
echo "#define" HAVE_UNAME "1" >> confdefs.h
DEFS="$DEFS -DHAVE_UNAME=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_UNAME\${ac_dB}HAVE_UNAME\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_UNAME\${ac_uB}HAVE_UNAME\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_UNAME\${ac_eB}HAVE_UNAME\${ac_eC}1\${ac_eD}
"
}


else
  rm -rf conftest*
  ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lposix"
ac_have_lib=""
test -n "$silent" || echo "checking for -lposix"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; oLIBS=$LIBS
  LIBS="$LIBS -lposix"
  test -n "$silent" || echo "checking for uname"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_uname) || defined (__stub___uname)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char uname(); uname();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining HAVE_UNAME"
echo "#define" HAVE_UNAME "1" >> confdefs.h
DEFS="$DEFS -DHAVE_UNAME=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_UNAME\${ac_dB}HAVE_UNAME\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_UNAME\${ac_uB}HAVE_UNAME\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_UNAME\${ac_eB}HAVE_UNAME\${ac_eC}1\${ac_eD}
"
}


else
  rm -rf conftest*
  LIBS=$oLIBS
fi
rm -f conftest*

else
   :; 
fi

fi
rm -f conftest*

test -n "$silent" || echo "checking for getcwd"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_getcwd) || defined (__stub___getcwd)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char getcwd(); getcwd();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining NEED_GETCWD"
echo "#define" NEED_GETCWD "1" >> confdefs.h
DEFS="$DEFS -DNEED_GETCWD=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}NEED_GETCWD\${ac_dB}NEED_GETCWD\${ac_dC}1\${ac_dD}
\${ac_uA}NEED_GETCWD\${ac_uB}NEED_GETCWD\${ac_uC}1\${ac_uD}
\${ac_eA}NEED_GETCWD\${ac_eB}NEED_GETCWD\${ac_eC}1\${ac_eD}
"
}

fi
rm -f conftest*

test -n "$silent" || echo "checking for fchmod"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_fchmod) || defined (__stub___fchmod)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char fchmod(); fchmod();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining NEED_FCHMOD"
echo "#define" NEED_FCHMOD "1" >> confdefs.h
DEFS="$DEFS -DNEED_FCHMOD=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}NEED_FCHMOD\${ac_dB}NEED_FCHMOD\${ac_dC}1\${ac_dD}
\${ac_uA}NEED_FCHMOD\${ac_uB}NEED_FCHMOD\${ac_uC}1\${ac_uD}
\${ac_eA}NEED_FCHMOD\${ac_eB}NEED_FCHMOD\${ac_eC}1\${ac_eD}
"
}

fi
rm -f conftest*

test -n "$silent" || echo "checking for strerror"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_strerror) || defined (__stub___strerror)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char strerror(); strerror();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining NEED_STRERROR"
echo "#define" NEED_STRERROR "1" >> confdefs.h
DEFS="$DEFS -DNEED_STRERROR=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}NEED_STRERROR\${ac_dB}NEED_STRERROR\${ac_dC}1\${ac_dD}
\${ac_uA}NEED_STRERROR\${ac_uB}NEED_STRERROR\${ac_uC}1\${ac_uD}
\${ac_eA}NEED_STRERROR\${ac_eB}NEED_STRERROR\${ac_eC}1\${ac_eD}
"
}

fi
rm -f conftest*

test -n "$silent" || echo "checking for ANSI C header files"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>
EOF
# Some shells (Coherent) do redirections in the wrong order, so need
# the parens.
ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
if test -z "$ac_err"; then
  rm -rf conftest*
  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
echo '#include "confdefs.h"
#include <string.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "memchr" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  # SGI's /bin/cc from Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#define XOR(e,f) (((e) && !(f)) || (!(e) && (f)))
int main () { int i; for (i = 0; i < 256; i++)
if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
exit (0); }

EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
echo '#include "confdefs.h"
#include <stdlib.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "free" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining STDC_HEADERS"
echo "#define" STDC_HEADERS "1" >> confdefs.h
DEFS="$DEFS -DSTDC_HEADERS=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}STDC_HEADERS\${ac_dB}STDC_HEADERS\${ac_dC}1\${ac_dD}
\${ac_uA}STDC_HEADERS\${ac_uB}STDC_HEADERS\${ac_uC}1\${ac_uD}
\${ac_eA}STDC_HEADERS\${ac_eB}STDC_HEADERS\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*


fi
rm -fr conftest*

fi
rm -f conftest*


fi
rm -f conftest*

test -n "$silent" || echo "checking for whether time.h and sys/time.h may both be included"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <sys/time.h>
#include <time.h>
int main() { return 0; }
int t() { struct tm *tp;; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining TIME_WITH_SYS_TIME"
echo "#define" TIME_WITH_SYS_TIME "1" >> confdefs.h
DEFS="$DEFS -DTIME_WITH_SYS_TIME=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}TIME_WITH_SYS_TIME\${ac_dB}TIME_WITH_SYS_TIME\${ac_dC}1\${ac_dD}
\${ac_uA}TIME_WITH_SYS_TIME\${ac_uB}TIME_WITH_SYS_TIME\${ac_uC}1\${ac_uD}
\${ac_eA}TIME_WITH_SYS_TIME\${ac_eB}TIME_WITH_SYS_TIME\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

test -n "$silent" || echo "checking for directory library header"
ac_dir_header=
if test -z "$ac_dir_header"; then
  test -n "$silent" || echo "checking for dirent.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <dirent.h>
int main() { return 0; }
int t() { DIR *dirp = 0;; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining DIRENT"
echo "#define" DIRENT "1" >> confdefs.h
DEFS="$DEFS -DDIRENT=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}DIRENT\${ac_dB}DIRENT\${ac_dC}1\${ac_dD}
\${ac_uA}DIRENT\${ac_uB}DIRENT\${ac_uC}1\${ac_uD}
\${ac_eA}DIRENT\${ac_eB}DIRENT\${ac_eC}1\${ac_eD}
"
}
 ac_dir_header=dirent.h

fi
rm -f conftest*
fi
if test -z "$ac_dir_header"; then
  test -n "$silent" || echo "checking for sys/ndir.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <sys/ndir.h>
int main() { return 0; }
int t() { DIR *dirp = 0;; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining SYSNDIR"
echo "#define" SYSNDIR "1" >> confdefs.h
DEFS="$DEFS -DSYSNDIR=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}SYSNDIR\${ac_dB}SYSNDIR\${ac_dC}1\${ac_dD}
\${ac_uA}SYSNDIR\${ac_uB}SYSNDIR\${ac_uC}1\${ac_uD}
\${ac_eA}SYSNDIR\${ac_eB}SYSNDIR\${ac_eC}1\${ac_eD}
"
}
 ac_dir_header=sys/ndir.h

fi
rm -f conftest*
fi
if test -z "$ac_dir_header"; then
  test -n "$silent" || echo "checking for sys/dir.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <sys/dir.h>
int main() { return 0; }
int t() { DIR *dirp = 0;; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining SYSDIR"
echo "#define" SYSDIR "1" >> confdefs.h
DEFS="$DEFS -DSYSDIR=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}SYSDIR\${ac_dB}SYSDIR\${ac_dC}1\${ac_dD}
\${ac_uA}SYSDIR\${ac_uB}SYSDIR\${ac_uC}1\${ac_uD}
\${ac_eA}SYSDIR\${ac_eB}SYSDIR\${ac_eC}1\${ac_eD}
"
}
 ac_dir_header=sys/dir.h

fi
rm -f conftest*
fi
if test -z "$ac_dir_header"; then
  test -n "$silent" || echo "checking for ndir.h"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <ndir.h>
int main() { return 0; }
int t() { DIR *dirp = 0;; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining NDIR"
echo "#define" NDIR "1" >> confdefs.h
DEFS="$DEFS -DNDIR=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}NDIR\${ac_dB}NDIR\${ac_dC}1\${ac_dD}
\${ac_uA}NDIR\${ac_uB}NDIR\${ac_uC}1\${ac_uD}
\${ac_eA}NDIR\${ac_eB}NDIR\${ac_eC}1\${ac_eD}
"
}
 ac_dir_header=ndir.h

fi
rm -f conftest*
fi

test -n "$silent" || echo "checking for closedir return value"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <$ac_dir_header>
int closedir(); main() { exit(closedir(opendir(".")) != 0); }
EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  :
else
  
{
test -n "$verbose" && \
echo "	defining VOID_CLOSEDIR"
echo "#define" VOID_CLOSEDIR "1" >> confdefs.h
DEFS="$DEFS -DVOID_CLOSEDIR=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}VOID_CLOSEDIR\${ac_dB}VOID_CLOSEDIR\${ac_dC}1\${ac_dD}
\${ac_uA}VOID_CLOSEDIR\${ac_uB}VOID_CLOSEDIR\${ac_uC}1\${ac_uD}
\${ac_eA}VOID_CLOSEDIR\${ac_eB}VOID_CLOSEDIR\${ac_eC}1\${ac_eD}
"
}

fi
rm -fr conftest*

test -n "$silent" || echo "checking for return type of signal handlers"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <signal.h>
#ifdef signal
#undef signal
#endif
extern void (*signal ()) ();
int main() { return 0; }
int t() { int i;; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" RETSIGTYPE to be "void"
echo "#define" RETSIGTYPE "void" >> confdefs.h
DEFS="$DEFS -DRETSIGTYPE=void"
ac_sed_defs="${ac_sed_defs}\${ac_dA}RETSIGTYPE\${ac_dB}RETSIGTYPE\${ac_dC}void\${ac_dD}
\${ac_uA}RETSIGTYPE\${ac_uB}RETSIGTYPE\${ac_uC}void\${ac_uD}
\${ac_eA}RETSIGTYPE\${ac_eB}RETSIGTYPE\${ac_eC}void\${ac_eD}
"
}


else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" RETSIGTYPE to be "int"
echo "#define" RETSIGTYPE "int" >> confdefs.h
DEFS="$DEFS -DRETSIGTYPE=int"
ac_sed_defs="${ac_sed_defs}\${ac_dA}RETSIGTYPE\${ac_dB}RETSIGTYPE\${ac_dC}int\${ac_dD}
\${ac_uA}RETSIGTYPE\${ac_uB}RETSIGTYPE\${ac_uC}int\${ac_uD}
\${ac_eA}RETSIGTYPE\${ac_eB}RETSIGTYPE\${ac_eC}int\${ac_eD}
"
}

fi
rm -f conftest*


test -n "$silent" || echo "checking for mode_t in sys/types.h"
echo '#include "confdefs.h"
#include <sys/types.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "mode_t" conftest.out >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" mode_t to be "int"
echo "#define" mode_t "int" >> confdefs.h
DEFS="$DEFS -Dmode_t=int"
ac_sed_defs="${ac_sed_defs}\${ac_dA}mode_t\${ac_dB}mode_t\${ac_dC}int\${ac_dD}
\${ac_uA}mode_t\${ac_uB}mode_t\${ac_uC}int\${ac_uD}
\${ac_eA}mode_t\${ac_eB}mode_t\${ac_eC}int\${ac_eD}
"
}

fi
rm -f conftest*

test -n "$silent" || echo "checking for pid_t in sys/types.h"
echo '#include "confdefs.h"
#include <sys/types.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "pid_t" conftest.out >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" pid_t to be "int"
echo "#define" pid_t "int" >> confdefs.h
DEFS="$DEFS -Dpid_t=int"
ac_sed_defs="${ac_sed_defs}\${ac_dA}pid_t\${ac_dB}pid_t\${ac_dC}int\${ac_dD}
\${ac_uA}pid_t\${ac_uB}pid_t\${ac_uC}int\${ac_uD}
\${ac_eA}pid_t\${ac_eB}pid_t\${ac_eC}int\${ac_eD}
"
}

fi
rm -f conftest*

test -n "$silent" || echo "checking for size_t in sys/types.h"
echo '#include "confdefs.h"
#include <sys/types.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "size_t" conftest.out >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" size_t to be "unsigned"
echo "#define" size_t "unsigned" >> confdefs.h
DEFS="$DEFS -Dsize_t=unsigned"
ac_sed_defs="${ac_sed_defs}\${ac_dA}size_t\${ac_dB}size_t\${ac_dC}unsigned\${ac_dD}
\${ac_uA}size_t\${ac_uB}size_t\${ac_uC}unsigned\${ac_uD}
\${ac_eA}size_t\${ac_eB}size_t\${ac_eC}unsigned\${ac_eD}
"
}

fi
rm -f conftest*

test -n "$silent" || echo "checking for uid_t in sys/types.h"
echo '#include "confdefs.h"
#include <sys/types.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "uid_t" conftest.out >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining" uid_t to be "int"
echo "#define" uid_t "int" >> confdefs.h
DEFS="$DEFS -Duid_t=int"
ac_sed_defs="${ac_sed_defs}\${ac_dA}uid_t\${ac_dB}uid_t\${ac_dC}int\${ac_dD}
\${ac_uA}uid_t\${ac_uB}uid_t\${ac_uC}int\${ac_uD}
\${ac_eA}uid_t\${ac_eB}uid_t\${ac_eC}int\${ac_eD}
"
}
 
{
test -n "$verbose" && \
echo "	defining" gid_t to be "int"
echo "#define" gid_t "int" >> confdefs.h
DEFS="$DEFS -Dgid_t=int"
ac_sed_defs="${ac_sed_defs}\${ac_dA}gid_t\${ac_dB}gid_t\${ac_dC}int\${ac_dD}
\${ac_uA}gid_t\${ac_uB}gid_t\${ac_uC}int\${ac_uD}
\${ac_eA}gid_t\${ac_eB}gid_t\${ac_eC}int\${ac_eD}
"
}

fi
rm -f conftest*


case $DEFS in
  *HAVE_SYS_TWG_CONFIG*)  
{
test -n "$verbose" && \
echo "	defining WINS"
echo "#define" WINS "1" >> confdefs.h
DEFS="$DEFS -DWINS=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}WINS\${ac_dB}WINS\${ac_dC}1\${ac_dD}
\${ac_uA}WINS\${ac_uB}WINS\${ac_uC}1\${ac_uD}
\${ac_eA}WINS\${ac_eB}WINS\${ac_eC}1\${ac_eD}
"
}

    ;;
esac


echo checking for hpux version
if test -f /hp-ux; then
  hpux=1
  uname=`uname -r` 2> /dev/null
  case $uname in
	A.09* | A.9* | a.9* | a.09* | 9* | 09*)
		;;
	A.08* | A.8* | a.8* | a.08* | 8* | 08*)
		
{
test -n "$verbose" && \
echo "	defining HPUX8"
echo "#define" HPUX8 "1" >> confdefs.h
DEFS="$DEFS -DHPUX8=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HPUX8\${ac_dB}HPUX8\${ac_dC}1\${ac_dD}
\${ac_uA}HPUX8\${ac_uB}HPUX8\${ac_uC}1\${ac_uD}
\${ac_eA}HPUX8\${ac_eB}HPUX8\${ac_eC}1\${ac_eD}
"
}

		;;
	A.07* | A.B7* | A.7* | a.7* | a.07* | 7* | 07*)
		
{
test -n "$verbose" && \
echo "	defining HPUX7"
echo "#define" HPUX7 "1" >> confdefs.h
DEFS="$DEFS -DHPUX7=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HPUX7\${ac_dB}HPUX7\${ac_dC}1\${ac_dD}
\${ac_uA}HPUX7\${ac_uB}HPUX7\${ac_uC}1\${ac_uD}
\${ac_eA}HPUX7\${ac_eB}HPUX7\${ac_eC}1\${ac_eD}
"
}

		;;
	*)
		
{
test -n "$verbose" && \
echo "	defining HPUXUNKNOWN"
echo "#define" HPUXUNKNOWN "1" >> confdefs.h
DEFS="$DEFS -DHPUXUNKNOWN=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HPUXUNKNOWN\${ac_dB}HPUXUNKNOWN\${ac_dC}1\${ac_dD}
\${ac_uA}HPUXUNKNOWN\${ac_uB}HPUXUNKNOWN\${ac_uC}1\${ac_uD}
\${ac_eA}HPUXUNKNOWN\${ac_eB}HPUXUNKNOWN\${ac_eC}1\${ac_eD}
"
}

		;;
  esac
fi


echo checking for NeXT
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#if defined(NeXT) || defined(__NeXT) || defined(__NeXT__)
  yes
#endif

EOF
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "yes" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  nextstep=1

fi
rm -f conftest*


if test -n "$nextstep"; then
  if test "$CC" != "gcc"; then
    CC="cc -bsd"
  fi
fi


echo checking for Ultrix
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#if defined(ultrix) || defined(__ultrix) || defined(__ultrix)
  yes
#endif

EOF
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "yes" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  ULTRIX=1

fi
rm -f conftest*


if test -n "$ULTRIX"; then
  test -z "$GCC" && CC="$CC -YBSD"
else
  # POSIX termios is broken on Ultrix so don't look for it.
echo checking for POSIX.1
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <unistd.h>
main () {
#ifdef _POSIX_VERSION
  yes
#endif
}

EOF
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "yes" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining POSIX"
echo "#define" POSIX "1" >> confdefs.h
DEFS="$DEFS -DPOSIX=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}POSIX\${ac_dB}POSIX\${ac_dC}1\${ac_dD}
\${ac_uA}POSIX\${ac_uB}POSIX\${ac_uC}1\${ac_uD}
\${ac_eA}POSIX\${ac_eB}POSIX\${ac_eC}1\${ac_eD}
"
}
 posix=1

fi
rm -f conftest*

fi


echo checking for sequent/ptx
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#ifdef _SEQUENT_
  yes
#endif

EOF
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "yes" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  LIBS="$LIBS -lseq";seqptx=1

fi
rm -f conftest*



echo checking for struct linger
echo '#include "confdefs.h"
#include <sys/socket.h>' > conftest.${ac_ext}
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "struct( |	)*linger" conftest.out >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining NO_STRUCT_LINGER"
echo "#define" NO_STRUCT_LINGER "1" >> confdefs.h
DEFS="$DEFS -DNO_STRUCT_LINGER=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}NO_STRUCT_LINGER\${ac_dB}NO_STRUCT_LINGER\${ac_dC}1\${ac_dD}
\${ac_uA}NO_STRUCT_LINGER\${ac_uB}NO_STRUCT_LINGER\${ac_uC}1\${ac_uD}
\${ac_eA}NO_STRUCT_LINGER\${ac_eB}NO_STRUCT_LINGER\${ac_eC}1\${ac_eD}
"
}

fi
rm -f conftest*



case "$DEFS" in
  *-DHAVE_GETSID* | *-DHAVE_GETPGID* )		    ;;
  *)						    echo checking if getpgrp\(\) takes an argument
    cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

main()
{
  int pid;
  int pgid;

  pid = fork();

  if (0 == pid)
  {
#ifdef HAVE_SETSID
    setsid();
#else
    setpgrp(0, getpid());
#endif /* HAVE_SETSID */
    sleep(10);
  }
  else
  {
    sleep(2);
    pgid = getpgrp(pid);
    kill(pid,9);
    if (pid != pgid)
      exit(1);
  }
  exit(0);
}

EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  :
else
  echo your getpgrp\(\) is painful;
{
test -n "$verbose" && \
echo "	defining BROKEN_GETPGRP"
echo "#define" BROKEN_GETPGRP "1" >> confdefs.h
DEFS="$DEFS -DBROKEN_GETPGRP=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}BROKEN_GETPGRP\${ac_dB}BROKEN_GETPGRP\${ac_dC}1\${ac_dD}
\${ac_uA}BROKEN_GETPGRP\${ac_uB}BROKEN_GETPGRP\${ac_uC}1\${ac_uD}
\${ac_eA}BROKEN_GETPGRP\${ac_eB}BROKEN_GETPGRP\${ac_eC}1\${ac_eD}
"
}

fi
rm -fr conftest*
    ;;
esac


if test x$posix != x1
then
test -n "$silent" || echo "checking for union wait"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <sys/wait.h>

int main() { return 0; }
int t() { 
  union wait x;
  int y;
#ifdef WEXITSTATUS
  y = WEXITSTATUS(x);
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining BSDWAIT"
echo "#define" BSDWAIT "1" >> confdefs.h
DEFS="$DEFS -DBSDWAIT=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}BSDWAIT\${ac_dB}BSDWAIT\${ac_dC}1\${ac_dD}
\${ac_uA}BSDWAIT\${ac_uB}BSDWAIT\${ac_uC}1\${ac_uD}
\${ac_eA}BSDWAIT\${ac_eB}BSDWAIT\${ac_eC}1\${ac_eD}
"
}


else
  rm -rf conftest*
  test -n "$silent" || echo "checking for waitpid"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_waitpid) || defined (__stub___waitpid)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char waitpid(); waitpid();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining NEED_WAITPID"
echo "#define" NEED_WAITPID "1" >> confdefs.h
DEFS="$DEFS -DNEED_WAITPID=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}NEED_WAITPID\${ac_dB}NEED_WAITPID\${ac_dC}1\${ac_dD}
\${ac_uA}NEED_WAITPID\${ac_uB}NEED_WAITPID\${ac_uC}1\${ac_uD}
\${ac_eA}NEED_WAITPID\${ac_eB}NEED_WAITPID\${ac_eC}1\${ac_eD}
"
}

fi
rm -f conftest*

fi
rm -f conftest*

fi


oldlibs="$LIBS"
test -n "$silent" || echo "checking for select"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { select(0, 0, 0, 0, 0);; return 0; }
EOF
if eval $ac_compile; then
  :
else
  rm -rf conftest*
  LIBS="$oldlibs -lsocket"
test -n "$silent" || echo "checking for select with $LIBS"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { select(0, 0, 0, 0, 0);; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  libsocket=1

else
  rm -rf conftest*
  LIBS="$oldlibs -lnsl"
test -n "$silent" || echo "checking for select with $LIBS"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { select(0, 0, 0, 0, 0);; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  libnsl=1

else
  rm -rf conftest*
  LIBS="$oldlibs -linet"
test -n "$silent" || echo "checking for select with $LIBS"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { select(0, 0, 0, 0, 0);; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  libinet=1

else
  rm -rf conftest*
  LIBS="$oldlibs -lcposix"
test -n "$silent" || echo "checking for select with $LIBS"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { select(0, 0, 0, 0, 0);; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  libcposix=1

else
  rm -rf conftest*
  LIBS="$oldlibs -lnet -lnsl_s"
test -n "$silent" || echo "checking for select with $LIBS"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { select(0, 0, 0, 0, 0);; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  libnet=1;libnsl_s=1

else
  rm -rf conftest*
  LIBS=$oldlibs
echo "I can not find select!  You might need to help me"

fi
rm -f conftest*

fi
rm -f conftest*

fi
rm -f conftest*

fi
rm -f conftest*

fi
rm -f conftest*

fi
rm -f conftest*


if test x$hpux = x1 -o x$aix = x1
then
  LIBS="-lcurses $LIBS"
  
{
test -n "$verbose" && \
echo "	defining USING_CURSES"
echo "#define" USING_CURSES "1" >> confdefs.h
DEFS="$DEFS -DUSING_CURSES=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}USING_CURSES\${ac_dB}USING_CURSES\${ac_dC}1\${ac_dD}
\${ac_uA}USING_CURSES\${ac_uB}USING_CURSES\${ac_uC}1\${ac_uD}
\${ac_eA}USING_CURSES\${ac_eB}USING_CURSES\${ac_eC}1\${ac_eD}
"
}

else
echo searching for tgetent
olibs="$LIBS"
  LIBS="-ltermcap $olibs"
  test -n "$silent" || echo "checking for libtermcap"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { tgetent((char *)0, (char *)0);; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining USING_TERMCAP"
echo "#define" USING_TERMCAP "1" >> confdefs.h
DEFS="$DEFS -DUSING_TERMCAP=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}USING_TERMCAP\${ac_dB}USING_TERMCAP\${ac_dC}1\${ac_dD}
\${ac_uA}USING_TERMCAP\${ac_uB}USING_TERMCAP\${ac_uC}1\${ac_uD}
\${ac_eA}USING_TERMCAP\${ac_eB}USING_TERMCAP\${ac_eC}1\${ac_eD}
"
}


else
  rm -rf conftest*
  LIBS="-ltermlib $olibs"
  test -n "$silent" || echo "checking for libtermlib"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { tgetent((char *)0, (char *)0);; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining USING_TERMLIB"
echo "#define" USING_TERMLIB "1" >> confdefs.h
DEFS="$DEFS -DUSING_TERMLIB=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}USING_TERMLIB\${ac_dB}USING_TERMLIB\${ac_dC}1\${ac_dD}
\${ac_uA}USING_TERMLIB\${ac_uB}USING_TERMLIB\${ac_uC}1\${ac_uD}
\${ac_eA}USING_TERMLIB\${ac_eB}USING_TERMLIB\${ac_eC}1\${ac_eD}
"
}


else
  rm -rf conftest*
  LIBS="-lcurses $olibs"
  test -n "$silent" || echo "checking for libcurses"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { tgetent((char *)0, (char *)0);; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining USING_CURSES"
echo "#define" USING_CURSES "1" >> confdefs.h
DEFS="$DEFS -DUSING_CURSES=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}USING_CURSES\${ac_dB}USING_CURSES\${ac_dC}1\${ac_dD}
\${ac_uA}USING_CURSES\${ac_uB}USING_CURSES\${ac_uC}1\${ac_uD}
\${ac_eA}USING_CURSES\${ac_eB}USING_CURSES\${ac_eC}1\${ac_eD}
"
}


else
  rm -rf conftest*
  LIBS="-lxtermcap $olibs"
  test -n "$silent" || echo "checking for libxtermcap"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { tgetent((char *)0, (char *)0);; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining USING_XTERMCAP"
echo "#define" USING_XTERMCAP "1" >> confdefs.h
DEFS="$DEFS -DUSING_XTERMCAP=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}USING_XTERMCAP\${ac_dB}USING_XTERMCAP\${ac_dC}1\${ac_dD}
\${ac_uA}USING_XTERMCAP\${ac_uB}USING_XTERMCAP\${ac_uC}1\${ac_uD}
\${ac_eA}USING_XTERMCAP\${ac_eB}USING_XTERMCAP\${ac_eC}1\${ac_eD}
"
}


else
  rm -rf conftest*
  echo "no tgetent - no ircii";exit
fi
rm -f conftest*


fi
rm -f conftest*

fi
rm -f conftest*

fi
rm -f conftest*

fi


echo checking signal implimentation
test -n "$silent" || echo "checking for sigaction"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_sigaction) || defined (__stub___sigaction)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char sigaction(); sigaction();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining USE_SIGACTION"
echo "#define" USE_SIGACTION "1" >> confdefs.h
DEFS="$DEFS -DUSE_SIGACTION=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}USE_SIGACTION\${ac_dB}USE_SIGACTION\${ac_dC}1\${ac_dD}
\${ac_uA}USE_SIGACTION\${ac_uB}USE_SIGACTION\${ac_uC}1\${ac_uD}
\${ac_eA}USE_SIGACTION\${ac_eB}USE_SIGACTION\${ac_eC}1\${ac_eD}
"
}


else
  rm -rf conftest*
  test -n "$silent" || echo "checking for sigset"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
int main() { return 0; }
int t() { 
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_sigset) || defined (__stub___sigset)
choke me
#else
/* Override any gcc2 internal prototype to avoid an error.  */
extern char sigset(); sigset();
#endif
; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  {
test -n "$verbose" && \
echo "	defining USE_SIGSET"
echo "#define" USE_SIGSET "1" >> confdefs.h
DEFS="$DEFS -DUSE_SIGSET=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}USE_SIGSET\${ac_dB}USE_SIGSET\${ac_dC}1\${ac_dD}
\${ac_uA}USE_SIGSET\${ac_uB}USE_SIGSET\${ac_uC}1\${ac_uD}
\${ac_eA}USE_SIGSET\${ac_eB}USE_SIGSET\${ac_eC}1\${ac_eD}
"
}


else
  rm -rf conftest*
  echo checking for reliable signals
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

#include <sys/types.h>
#include <signal.h>

#ifndef SIGCHLD
# define SIGCHLD SIGCLD
#endif
#ifdef USE_SIGSET
# define signal sigset
#endif

int got;

#ifdef SIGVOID
void
#endif
hand()
{
  got++;
}

main()
{
  (void)signal(SIGCHLD, hand);
  kill(getpid(), SIGCHLD);
  kill(getpid(), SIGCHLD);
  if (got < 2)
    exit(1);
  exit(0);
}

EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  :
else
  
{
test -n "$verbose" && \
echo "	defining SYSVSIGNALS"
echo "#define" SYSVSIGNALS "1" >> confdefs.h
DEFS="$DEFS -DSYSVSIGNALS=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}SYSVSIGNALS\${ac_dB}SYSVSIGNALS\${ac_dC}1\${ac_dD}
\${ac_uA}SYSVSIGNALS\${ac_uB}SYSVSIGNALS\${ac_uC}1\${ac_uD}
\${ac_eA}SYSVSIGNALS\${ac_eB}SYSVSIGNALS\${ac_eC}1\${ac_eD}
"
}

fi
rm -fr conftest*

fi
rm -f conftest*

fi
rm -f conftest*


case "$DEFS" in
  *BSDWAIT*)
echo checking for wait3 declaration
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <signal.h>
#include <sys/wait.h>

EOF
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "wait3( |	|\()" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining WAIT3_DECLARED"
echo "#define" WAIT3_DECLARED "1" >> confdefs.h
DEFS="$DEFS -DWAIT3_DECLARED=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}WAIT3_DECLARED\${ac_dB}WAIT3_DECLARED\${ac_dC}1\${ac_dD}
\${ac_uA}WAIT3_DECLARED\${ac_uB}WAIT3_DECLARED\${ac_uC}1\${ac_uD}
\${ac_eA}WAIT3_DECLARED\${ac_eB}WAIT3_DECLARED\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

  ;;
  *)
echo checking for waitpid declaration
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <signal.h>
#include <sys/wait.h>

EOF
eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "waitpid( |	|\()" conftest.out >/dev/null 2>&1; then
  rm -rf conftest*
  
{
test -n "$verbose" && \
echo "	defining WAITPID_DECLARED"
echo "#define" WAITPID_DECLARED "1" >> confdefs.h
DEFS="$DEFS -DWAITPID_DECLARED=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}WAITPID_DECLARED\${ac_dB}WAITPID_DECLARED\${ac_dC}1\${ac_dD}
\${ac_uA}WAITPID_DECLARED\${ac_uB}WAITPID_DECLARED\${ac_uC}1\${ac_uD}
\${ac_eA}WAITPID_DECLARED\${ac_eB}WAITPID_DECLARED\${ac_eC}1\${ac_eD}
"
}


fi
rm -f conftest*

  ;;
esac


echo checking for sys_errlist declaration
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

#include <sys/types.h>
#include <stdio.h>
#include <errno.h>
main()
{
  char *s = sys_errlist[0];
  exit(0);
}

EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  
{
test -n "$verbose" && \
echo "	defining SYS_ERRLIST_DECLARED"
echo "#define" SYS_ERRLIST_DECLARED "1" >> confdefs.h
DEFS="$DEFS -DSYS_ERRLIST_DECLARED=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}SYS_ERRLIST_DECLARED\${ac_dB}SYS_ERRLIST_DECLARED\${ac_dC}1\${ac_dD}
\${ac_uA}SYS_ERRLIST_DECLARED\${ac_uB}SYS_ERRLIST_DECLARED\${ac_uC}1\${ac_uD}
\${ac_eA}SYS_ERRLIST_DECLARED\${ac_eB}SYS_ERRLIST_DECLARED\${ac_eC}1\${ac_eD}
"
}


fi
rm -fr conftest*


echo checking for a 32 bit integer
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

main()
{
  if (4 == sizeof(unsigned long))
    exit(0);
  exit(1);
}

EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  
{
test -n "$verbose" && \
echo "	defining UNSIGNED_LONG32"
echo "#define" UNSIGNED_LONG32 "1" >> confdefs.h
DEFS="$DEFS -DUNSIGNED_LONG32=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}UNSIGNED_LONG32\${ac_dB}UNSIGNED_LONG32\${ac_dC}1\${ac_dD}
\${ac_uA}UNSIGNED_LONG32\${ac_uB}UNSIGNED_LONG32\${ac_uC}1\${ac_uD}
\${ac_eA}UNSIGNED_LONG32\${ac_eB}UNSIGNED_LONG32\${ac_eC}1\${ac_eD}
"
}


else
  cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

main()
{
  if (4 == sizeof(unsigned int))
    exit(0);
  exit(1);
}

EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  
{
test -n "$verbose" && \
echo "	defining UNSIGNED_INT32"
echo "#define" UNSIGNED_INT32 "1" >> confdefs.h
DEFS="$DEFS -DUNSIGNED_INT32=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}UNSIGNED_INT32\${ac_dB}UNSIGNED_INT32\${ac_dC}1\${ac_dD}
\${ac_uA}UNSIGNED_INT32\${ac_uB}UNSIGNED_INT32\${ac_uC}1\${ac_uD}
\${ac_eA}UNSIGNED_INT32\${ac_eB}UNSIGNED_INT32\${ac_eC}1\${ac_eD}
"
}


else
  
{
test -n "$verbose" && \
echo "	defining UNKNOWN_32INT"
echo "#define" UNKNOWN_32INT "1" >> confdefs.h
DEFS="$DEFS -DUNKNOWN_32INT=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}UNKNOWN_32INT\${ac_dB}UNKNOWN_32INT\${ac_dC}1\${ac_dD}
\${ac_uA}UNKNOWN_32INT\${ac_uB}UNKNOWN_32INT\${ac_uC}1\${ac_uD}
\${ac_eA}UNKNOWN_32INT\${ac_eB}UNKNOWN_32INT\${ac_eC}1\${ac_eD}
"
}

fi
rm -fr conftest*
fi
rm -fr conftest*


ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lelf"
ac_have_lib=""
test -n "$silent" || echo "checking for -lelf"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; LIBS="$LIBS -lelf"
else
   :; 
fi

ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lnls"
ac_have_lib=""
test -n "$silent" || echo "checking for -lnls"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; libnls=1;
{
test -n "$verbose" && \
echo "	defining HAVE_LIB_NLS"
echo "#define" HAVE_LIB_NLS "1" >> confdefs.h
DEFS="$DEFS -DHAVE_LIB_NLS=1"
ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_LIB_NLS\${ac_dB}HAVE_LIB_NLS\${ac_dC}1\${ac_dD}
\${ac_uA}HAVE_LIB_NLS\${ac_uB}HAVE_LIB_NLS\${ac_uC}1\${ac_uD}
\${ac_eA}HAVE_LIB_NLS\${ac_eB}HAVE_LIB_NLS\${ac_eC}1\${ac_eD}
"
}

else
   :; 
fi

if test ! -n "$libsocket"; then
	ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lsocket"
ac_have_lib=""
test -n "$silent" || echo "checking for -lsocket"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; LIBS="$LIBS -lsocket"
else
   :; 
fi

fi
if test ! -n "$libinet"; then
	ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -linet"
ac_have_lib=""
test -n "$silent" || echo "checking for -linet"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; LIBS="$LIBS -linet"
else
   :; 
fi

fi
if test ! -n "$libnsl"; then
	ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lnsl"
ac_have_lib=""
test -n "$silent" || echo "checking for -lnsl"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; LIBS="$LIBS -lnsl"
else
   :; 
fi

fi
ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -ldgc"
ac_have_lib=""
test -n "$silent" || echo "checking for -ldgc"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; LIBS="$LIBS -ldgc"
else
   :; 
fi

ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lresolv"
ac_have_lib=""
test -n "$silent" || echo "checking for -lresolv"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

int main() { return 0; }
int t() { main();; return 0; }
EOF
if eval $ac_compile; then
  rm -rf conftest*
  ac_have_lib="1"

fi
rm -f conftest*
LIBS="${ac_save_LIBS}"
if test -n "${ac_have_lib}"; then
   :; olibs=$LIBS
LIBS="$LIBS -lresolv"
cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"

#include <netdb.h>
main()
{
  struct hostent *hp;

  hp = gethostbyname("foo");
  exit(0);
}

EOF
eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  :
else
  LIBS=$olibs
fi
rm -fr conftest*
else
   :; 
fi


echo "generating a list of signal names..."
set X `cat /usr/include/signal.h /usr/include/sys/signal.h 2>&1 | awk '
$1 ~ /^#define$/ && $2 ~ /^SIG[A-Z0-9]*$/ && $3 ~ /^[1-9][0-9]*$/ {
  sig[$3] = substr($2,4,20)
  if (max < $3 && $3 < 60) {
	max = $3
  }
}

END {
  for (i=1; i<=max; i++) {
    if (sig[i] == "")
      printf "%d", i
    else
      printf "%s", sig[i]
    if (i < max)
      printf " "
  }
  printf "\n"
}
'`
shift
case $# in
0)
  set X `kill -l 2> /dev/null`
  shift
  case $# in
  0) set HUP INT QUIT ILL TRAP IOT EMT FPE KILL BUS SEGV SYS PIPE ALRM TERM
    ;;
  esac
  ;;
esac
sig_name="ZERO $*"
if test -f source/sig.inc; then
  /bin/rm -f source/sig.inc
fi
echo $sig_name | sed -e 's/$/"};/' -e 's/ /", "/g' -e 's/^/char *signals[] = { "/' >> source/sig.inc


echo checking for unix mail directory

for foo in /var/spool/mail /usr/spool/mail /var/mail /usr/mail
do
  if test -d $foo; then
    mdir=$foo
    break
  fi
done

if test -n "$mdir"; then
  UNIX_MAIL=\"$mdir\"
else
  UNIX_MAIL=\"unknown\"
fi


{
test -n "$verbose" && \
echo "	defining" UNIX_MAIL to be "\"$mdir\""
echo "#define" UNIX_MAIL "\"$mdir\"" >> confdefs.h
DEFS="$DEFS -DUNIX_MAIL=\"$mdir\""
ac_sed_defs="${ac_sed_defs}\${ac_dA}UNIX_MAIL\${ac_dB}UNIX_MAIL\${ac_dC}\"$mdir\"\${ac_dD}
\${ac_uA}UNIX_MAIL\${ac_uB}UNIX_MAIL\${ac_uC}\"$mdir\"\${ac_uD}
\${ac_eA}UNIX_MAIL\${ac_eB}UNIX_MAIL\${ac_eC}\"$mdir\"\${ac_eD}
"
}


if test -z "$CFLAGS"; then CFLAGS=-O ; fi
if test -z "$LDFLAGS"; then LDFLAGS= ; fi
RM="rm -f"
LN="ln -s"
if test ! -n "$bindir";
then
	bindir=\${exec_prefix}/bin
fi

if test ! -n "$IRCLIB";
then
	IRCLIB=\${prefix}/lib/irc
fi








# The preferred way to propogate these variables is regular @ substitutions.
if test -n "$prefix"; then
  ac_prsub="s%^prefix\\([ 	]*\\)=\\([ 	]*\\).*$%prefix\\1=\\2$prefix%"
else
  prefix=/usr/local
fi
if test -n "$exec_prefix"; then
  ac_prsub="$ac_prsub
s%^exec_prefix\\([ 	]*\\)=\\([ 	]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
else
  exec_prefix='${prefix}' # Let make expand it.
fi

# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
fi

# Quote sed substitution magic chars in DEFS.
cat >conftest.def <<EOF
$DEFS
EOF
ac_escape_ampersand_and_backslash='s%[&\\]%\\&%g'
DEFS=`sed "$ac_escape_ampersand_and_backslash" <conftest.def`
rm -f conftest.def
# Substitute for predefined variables.

trap 'rm -f config.status; exit 1' 1 2 15
echo creating config.status
rm -f config.status
cat > config.status <<EOF
#!/bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $configure_args

ac_cs_usage="Usage: config.status [--recheck] [--version] [--help]"
for ac_option
do
  case "\$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create
    exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "config.status generated by autoconf version 1.11"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "\$ac_cs_usage"; exit 0 ;;
  *) echo "\$ac_cs_usage"; exit 1 ;;
  esac
done

trap 'rm -fr Makefile source/Makefile include/defs.h conftest*; exit 1' 1 2 15
VERSION='$VERSION'
CC='$CC'
CPP='$CPP'
LEX='$LEX'
LEXLIB='$LEXLIB'
CFLAGS='$CFLAGS'
LDFLAGS='$LDFLAGS'
RM='$RM'
LN='$LN'
IRCLIB='$IRCLIB'
bindir='$bindir'
LIBS='$LIBS'
srcdir='$srcdir'
top_srcdir='$top_srcdir'
prefix='$prefix'
exec_prefix='$exec_prefix'
ac_prsub='$ac_prsub'
ac_vpsub='$ac_vpsub'
extrasub='$extrasub'
EOF
cat >> config.status <<\EOF

ac_given_srcdir=$srcdir

CONFIG_FILES=${CONFIG_FILES-"Makefile source/Makefile"}
for ac_file in .. ${CONFIG_FILES}; do if test "x$ac_file" != x..; then
  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/$ac_dir"
  else
    ac_dir_suffix=
  fi

  # A "../" for each directory in $ac_dir_suffix.
  ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  case "$ac_given_srcdir" in
  .)  srcdir=.
      if test -z "$ac_dir_suffix"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac

  echo creating "$ac_file"
  rm -f "$ac_file"
  comment_str="Generated automatically from `echo $ac_file|sed 's|.*/||'`.in by configure."
  case "$ac_file" in
    *.c | *.h | *.C | *.cc | *.m )  echo "/* $comment_str */" > "$ac_file" ;;
    * )          echo "# $comment_str"     > "$ac_file" ;;
  esac
  sed -e "
$ac_prsub
$ac_vpsub
$extrasub
s%@VERSION@%$VERSION%g
s%@CC@%$CC%g
s%@CPP@%$CPP%g
s%@LEX@%$LEX%g
s%@LEXLIB@%$LEXLIB%g
s%@CFLAGS@%$CFLAGS%g
s%@LDFLAGS@%$LDFLAGS%g
s%@RM@%$RM%g
s%@LN@%$LN%g
s%@IRCLIB@%$IRCLIB%g
s%@bindir@%$bindir%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
s%@prefix@%$prefix%g
s%@exec_prefix@%$exec_prefix%g
s%@DEFS@%-DHAVE_CONFIG_H%" $ac_given_srcdir/${ac_file}.in >> $ac_file
fi; done

# These sed commands are put into ac_sed_defs when defining a macro.
# They are broken into pieces to make the sed script easier to manage.
# They are passed to sed as "A NAME B NAME C VALUE D", where NAME
# is the cpp macro being defined and VALUE is the value it is being given.
# Each defining turns into a single global substitution command.
# Hopefully no one uses "!" as a variable value.
# Other candidates for the sed separators, like , and @, do get used.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s!^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
ac_dB='\([ 	][ 	]*\)[^ 	]*!\1#\2'
ac_dC='\3'
ac_dD='!g'
# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
ac_uA='s!^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_uB='\([ 	]\)!\1#\2define\3'
ac_uC=' '
ac_uD='\4!g'
# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_eA='s!^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
ac_eB='$!\1#\2define\3'
ac_eC=' '
ac_eD='!g'
rm -f conftest.sed
EOF
# Turn off quoting long enough to insert the sed commands.
rm -f conftest.sh
cat > conftest.sh <<EOF
$ac_sed_defs
EOF

# Break up $ac_sed_defs (now in conftest.sh) because some shells have a limit
# on the size of here documents.

# Maximum number of lines to put in a single here document.
ac_max_sh_lines=9

while :
do
  # wc gives bogus results for an empty file on some AIX systems.
  ac_lines=`grep -c . conftest.sh`
  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
  rm -f conftest.s1 conftest.s2
  sed ${ac_max_sh_lines}q conftest.sh > conftest.s1 # Like head -9.
  sed 1,${ac_max_sh_lines}d conftest.sh > conftest.s2 # Like tail +10.
  # Write a limited-size here document to append to conftest.sed.
  echo 'cat >> conftest.sed <<CONFEOF' >> config.status
  cat conftest.s1 >> config.status
  echo 'CONFEOF' >> config.status
  rm -f conftest.s1 conftest.sh
  mv conftest.s2 conftest.sh
done
rm -f conftest.sh

# Now back to your regularly scheduled config.status.
cat >> config.status <<\EOF
# This sed command replaces #undef's with comments.  This is necessary, for
# example, in the case of _POSIX_SOURCE, which is predefined and required
# on some systems where configure will not decide to define it in
# include/defs.h.
cat >> conftest.sed <<\CONFEOF
s,^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
CONFEOF
rm -f conftest.h
# Break up the sed commands because old seds have small limits.
ac_max_sed_lines=20

CONFIG_HEADERS=${CONFIG_HEADERS-"include/defs.h"}
for ac_file in .. ${CONFIG_HEADERS}; do if test "x$ac_file" != x..; then
  echo creating $ac_file

  cp $ac_given_srcdir/$ac_file.in conftest.h1
  cp conftest.sed conftest.stm
  while :
  do
    ac_lines=`grep -c . conftest.stm`
    if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
    rm -f conftest.s1 conftest.s2 conftest.h2
    sed ${ac_max_sed_lines}q conftest.stm > conftest.s1 # Like head -20.
    sed 1,${ac_max_sed_lines}d conftest.stm > conftest.s2 # Like tail +21.
    sed -f conftest.s1 < conftest.h1 > conftest.h2
    rm -f conftest.s1 conftest.h1 conftest.stm
    mv conftest.h2 conftest.h1
    mv conftest.s2 conftest.stm
  done
  rm -f conftest.stm conftest.h
  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
  cat conftest.h1 >> conftest.h
  rm -f conftest.h1
  if cmp -s $ac_file conftest.h 2>/dev/null; then
    # The file exists and we would not be changing it.
    echo "$ac_file is unchanged"
    rm -f conftest.h
  else
    rm -f $ac_file
    mv conftest.h $ac_file
  fi
fi; done
rm -f conftest.sed



exit 0
EOF
chmod +x config.status
# Some shells look in PATH for config.status without the "./".
test -n "$no_create" || ${CONFIG_SHELL-/bin/sh} ./config.status


echo
echo well there we are, you now might want to look in include/config.h
echo and see if there is anything you might want to tune, else you can
echo just run a make here..  good luck!
echo

